Name:           libgnomeui
Version:        2.24.5
Release:        21
Summary:        GNOME base GUI library
License:        LGPLv2+
URL:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/libgnomeui/2.24/%{name}-%{version}.tar.bz2

Patch0001:      0001-gnome-scores.h-Convert-to-UTF-8.patch

BuildRequires:  make glib2-devel gvfs-devel pango-devel gtk2-devel GConf2-devel gnome-vfs2-devel libgnomecanvas-devel
BuildRequires:  libbonoboui-devel libxml2-devel libgnome-devel libart_lgpl-devel libglade2-devel libgnome-keyring-devel
BuildRequires:  libSM-devel fontconfig-devel gettext automake autoconf libtool intltool

%description
The libgnomeui library provides additional widgets for applications. Many of the widgets from
libgnomeui have already been ported to GTK+.

This module is heading towards planned deprecation. It will continue to be supported and API/ABI
stable throughout the GNOME 2.x series, but we do not recommend using it in new applications unless
you require functionality that has not already been moved elsewhere.

%package devel
Summary:        Libraries and headers for libgnome
Requires:       %{name} = %{version}-%{release} libSM-devel libICE-devel

%description devel
This package contains libraries and headers for developing GNOME applications.

%prep
%autosetup -n %{name}-%{version} -p1
libtoolize --force --copy
autoreconf -i

%build
%configure --disable-gtk-doc
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
%make_build

%install
%make_install
%delete_la_and_a
%find_lang libgnomeui-2.0

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f libgnomeui-2.0.lang
%doc COPYING.LIB NEWS ChangeLog
%{_libdir}/{lib*.so.*,libglade}
%{_datadir}/pixmaps/*

%files devel
%doc %{_datadir}/gtk-doc/html/libgnomeui
%{_libdir}/{lib*.so,pkgconfig}
%{_includedir}/*

%changelog
* Sat Mar 21 2020 yanglijin <yanglijin@huawei.com> - 2.24.5-21
- modify buildrequire

* Wed Feb 19 2020 zhusongbao <zhusongbao@huawei.com> - 2.24.5-20
- Package init
